﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication48.ViewModel
{
   public class VM:INotifyPropertyChanged
    {
         List<KeyValuePair<string, object>> odict = new List<KeyValuePair<string, object>>();

        public List<KeyValuePair<string, object>> Odict
        {
            get { return odict; }
            set { odict = value;
            NotifyPropertyChanged("Odict");
            }
        }

        ObservableCollection<MyObject> myobj = new ObservableCollection<MyObject>();
        public ObservableCollection<MyObject> MyObj
        {
            get { return myobj; }
            set { myobj = value;
            NotifyPropertyChanged("MyObj");
            }

        }

        public VM()
        {
          
            odict.Add(new KeyValuePair<string,object>("Month",12));
          
            odict.Add(new KeyValuePair<string, object>("Revenue", 200000));
       
            odict.Add(new KeyValuePair<string, object>("Charges", 100000));
       
            odict.Add(new KeyValuePair<string, object>("Month", 11));
           
            odict.Add(new KeyValuePair<string, object>("Revenue", 14000));
            
            odict.Add(new KeyValuePair<string, object>("Charges", 100000));
            ConverterDictionyToMYobj();
          
          
        }

        public void ConverterDictionyToMYobj()
        {
            foreach (KeyValuePair<string, object> kv in odict)
            {
                MyObject myo = new MyObject(kv.Key, kv.Value);
                MyObj.Add(myo);
                   

            }
        }

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
